Subject: Re: bug#52063: 28.0.60; Confusing presentation of lambda

From: Jim Porter <[email-masked]>
Date: Thu, 25 Nov 2021 11:56:16 -0800

On 11/25/2021 11:07 AM, Stefan Monnier via Bug reports for GNU Emacs, 
the Swiss army knife of text editors wrote:
> IOW, the final `t` can be dispensed with, we could swap the arglist and
> the captured environment, and we could filter the environment to only
> include variables which are actually used inside the function.

It might be nice to print an empty arglist as "()" instead of "nil" too. 
While both of those are equivalent, I think "()" is more idiomatic when 
showing an arglist. Currently we have:

   (lambda () (setq foo 1))
   ;; => (closure (t) nil (setq foo 1))

In that case, since there's no captured variables and no args, it might 
be nicer to show it as:

   (closure () () (setq foo 1))

Or even:

   (closure () (setq foo 1))